Gramps 3.2.1 Released!

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Gramps 3.2.1 Released!

Stéphane Charette-2
>From the NEWS file:

Version 3.2.1 -- the "One of those men is my father" release.
* Many bug fixes:
-> fixed missing icons
-> load/reload plugins must unload old plugins
-> import/export fixes (date ranges, underscore, latitude/longitude)
-> narrative web crash fixes and many updates, html notes, css updates
-> geoview fixes and updates
-> unicode error in soundex
-> fixed crash on data entry
* Translation updates: bg, ca, de, es, fr, he, hr, it, nb, nl, sk, sv

Thanks to all who helped report, fix, translate, and test the numerous
changes that took place over the past month to make 3.2.1.

Look for your favourite packages at SourceForge in the next few days
as they become available:
http://sourceforge.net/projects/gramps/files/

Stéphane Charette

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: [Gramps-users] Gramps 3.2.1 Released!

Gerald Britton-2
Wish I knew yesterday. I have a fix ready for private.py but haven't
commited it yet.

On 4/22/10, Stéphane Charette <[hidden email]> wrote:

> >From the NEWS file:
>
> Version 3.2.1 -- the "One of those men is my father" release.
> * Many bug fixes:
> -> fixed missing icons
> -> load/reload plugins must unload old plugins
> -> import/export fixes (date ranges, underscore, latitude/longitude)
> -> narrative web crash fixes and many updates, html notes, css updates
> -> geoview fixes and updates
> -> unicode error in soundex
> -> fixed crash on data entry
> * Translation updates: bg, ca, de, es, fr, he, hr, it, nb, nl, sk, sv
>
> Thanks to all who helped report, fix, translate, and test the numerous
> changes that took place over the past month to make 3.2.1.
>
> Look for your favourite packages at SourceForge in the next few days
> as they become available:
> http://sourceforge.net/projects/gramps/files/
>
> Stéphane Charette
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>

--
Sent from my mobile device

Gerald Britton

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: [Gramps-users] Gramps 3.2.1 Released!

Benny Malengier


2010/4/22 Gerald Britton <[hidden email]>
Wish I knew yesterday. I have a fix ready for private.py but haven't
commited it yet.

There will always be patches lining up. The idea is not to commit patches a day or so before release.
In the original schedule send out, 3.2.1 would have been released 3 weeks ago. However, nar web issues kept pushing this backward. At some time we must just stop, and push a version out.

Benny
 

On 4/22/10, Stéphane Charette <[hidden email]> wrote:
> >From the NEWS file:
>
> Version 3.2.1 -- the "One of those men is my father" release.
> * Many bug fixes:
> -> fixed missing icons
> -> load/reload plugins must unload old plugins
> -> import/export fixes (date ranges, underscore, latitude/longitude)
> -> narrative web crash fixes and many updates, html notes, css updates
> -> geoview fixes and updates
> -> unicode error in soundex
> -> fixed crash on data entry
> * Translation updates: bg, ca, de, es, fr, he, hr, it, nb, nl, sk, sv
>
> Thanks to all who helped report, fix, translate, and test the numerous
> changes that took place over the past month to make 3.2.1.
>
> Look for your favourite packages at SourceForge in the next few days
> as they become available:
> http://sourceforge.net/projects/gramps/files/
>
> Stéphane Charette
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>

--
Sent from my mobile device

Gerald Britton

------------------------------------------------------------------------------
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users


------------------------------------------------------------------------------

_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Problem compiling some files [was Re: Gramps 3.2.1 Released!]

Jay Treacy
In reply to this post by Stéphane Charette-2
3.2.1 built fine under debian but when it tried to compile the files
duing install it gave the following warnings:

/usr/share/gramps/plugins/webreport/NarrativeWeb.py:614: Warning: 'with' will
become a reserved keyword in Python 2.6
Compiling /usr/share/gramps/plugins/webreport/NarrativeWeb.py ...
  File "/usr/share/gramps/plugins/webreport/NarrativeWeb.py", line 614
    with Html("table", class_ = "infolist ldsordlist") as table:
            ^
SyntaxError: invalid syntax

/usr/share/gramps/plugins/webreport/WebCal.py:482: Warning: 'with' will become a
reserved keyword in Python 2.6
Compiling /usr/share/gramps/plugins/webreport/WebCal.py ...
  File "/usr/share/gramps/plugins/webreport/WebCal.py", line 482
    with Html("div", id = "subnavigation") as section:
            ^
SyntaxError: invalid syntax


These warnings actually break the install so I'd like to fix them. Suggestions?

--
James Treacy
[hidden email]

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: Problem compiling some files [was Re: Gramps 3.2.1 Released!]

DS Blank
2010/4/22 James A. Treacy <[hidden email]>:

> 3.2.1 built fine under debian but when it tried to compile the files
> duing install it gave the following warnings:
>
> /usr/share/gramps/plugins/webreport/NarrativeWeb.py:614: Warning: 'with' will
> become a reserved keyword in Python 2.6
> Compiling /usr/share/gramps/plugins/webreport/NarrativeWeb.py ...
>  File "/usr/share/gramps/plugins/webreport/NarrativeWeb.py", line 614
>    with Html("table", class_ = "infolist ldsordlist") as table:
>            ^
> SyntaxError: invalid syntax
>
> /usr/share/gramps/plugins/webreport/WebCal.py:482: Warning: 'with' will become a
> reserved keyword in Python 2.6
> Compiling /usr/share/gramps/plugins/webreport/WebCal.py ...
>  File "/usr/share/gramps/plugins/webreport/WebCal.py", line 482
>    with Html("div", id = "subnavigation") as section:
>            ^
> SyntaxError: invalid syntax
>
>
> These warnings actually break the install so I'd like to fix them. Suggestions?

This may be a good thing... let's not build a buggy version.

The fix is probably to include:

from __future__ import with

But let's not work around this issue, as there are so many more.
Perhaps we can put together a 3.2.2 in the next 24 hours to fix this
the proper way (replace the two webreports).

-Doug

> --
> James Treacy
> [hidden email]
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re : Problem compiling some files [was Re: Gramps 3.2.1 Released!]

jerome
In reply to this post by Jay Treacy
I get the same problem on OpenSuse 10.3 (python 2.5)
and no problem under Ubuntu 9.04 (python 2.6)

I overwritten the two files with current SVN version and no more error (and correct translated strings on Narrative, WebCal reports) ...

 Is it the limitation with python 2.5 and 3.2.1 release ?

Maybe packagers (Windows, MacOS, deb, rpm) should rather use fixed SVN revision ?


Jérôme

--- En date de : Jeu 22.4.10, James A. Treacy <[hidden email]> a écrit :

> De: James A. Treacy <[hidden email]>
> Objet: [Gramps-devel] Problem compiling some files [was Re: Gramps 3.2.1 Released!]
> À: "Stéphane Charette" <[hidden email]>
> Cc: "gramps-devel" <[hidden email]>
> Date: Jeudi 22 avril 2010, 16h31
> 3.2.1 built fine under debian but
> when it tried to compile the files
> duing install it gave the following warnings:
>
> /usr/share/gramps/plugins/webreport/NarrativeWeb.py:614:
> Warning: 'with' will
> become a reserved keyword in Python 2.6
> Compiling
> /usr/share/gramps/plugins/webreport/NarrativeWeb.py ...
>   File
> "/usr/share/gramps/plugins/webreport/NarrativeWeb.py", line
> 614
>     with Html("table", class_ = "infolist
> ldsordlist") as table:
>             ^
> SyntaxError: invalid syntax
>
> /usr/share/gramps/plugins/webreport/WebCal.py:482: Warning:
> 'with' will become a
> reserved keyword in Python 2.6
> Compiling /usr/share/gramps/plugins/webreport/WebCal.py
> ...
>   File
> "/usr/share/gramps/plugins/webreport/WebCal.py", line 482
>     with Html("div", id = "subnavigation") as
> section:
>             ^
> SyntaxError: invalid syntax
>
>
> These warnings actually break the install so I'd like to
> fix them. Suggestions?
>
> --
> James Treacy
> [hidden email]
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>


     

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: Re : Problem compiling some files [was Re: Gramps 3.2.1 Released!]

DS Blank
On Thu, Apr 22, 2010 at 12:00 PM, jerome <[hidden email]> wrote:
> I get the same problem on OpenSuse 10.3 (python 2.5)
> and no problem under Ubuntu 9.04 (python 2.6)
>
> I overwritten the two files with current SVN version and no more error (and correct translated strings on Narrative, WebCal reports) ...
>
>  Is it the limitation with python 2.5 and 3.2.1 release ?
>
> Maybe packagers (Windows, MacOS, deb, rpm) should rather use fixed SVN revision ?

Yes, let's take this opportunity to fix this up. If I can take a look
at everything and run my tests in about 10 hours, I'd feel much more
confident that we have the right code and everything is working.

-Doug

>
> Jérôme
>
> --- En date de : Jeu 22.4.10, James A. Treacy <[hidden email]> a écrit :
>
>> De: James A. Treacy <[hidden email]>
>> Objet: [Gramps-devel] Problem compiling some files [was Re: Gramps 3.2.1 Released!]
>> À: "Stéphane Charette" <[hidden email]>
>> Cc: "gramps-devel" <[hidden email]>
>> Date: Jeudi 22 avril 2010, 16h31
>> 3.2.1 built fine under debian but
>> when it tried to compile the files
>> duing install it gave the following warnings:
>>
>> /usr/share/gramps/plugins/webreport/NarrativeWeb.py:614:
>> Warning: 'with' will
>> become a reserved keyword in Python 2.6
>> Compiling
>> /usr/share/gramps/plugins/webreport/NarrativeWeb.py ...
>>   File
>> "/usr/share/gramps/plugins/webreport/NarrativeWeb.py", line
>> 614
>>     with Html("table", class_ = "infolist
>> ldsordlist") as table:
>>             ^
>> SyntaxError: invalid syntax
>>
>> /usr/share/gramps/plugins/webreport/WebCal.py:482: Warning:
>> 'with' will become a
>> reserved keyword in Python 2.6
>> Compiling /usr/share/gramps/plugins/webreport/WebCal.py
>> ...
>>   File
>> "/usr/share/gramps/plugins/webreport/WebCal.py", line 482
>>     with Html("div", id = "subnavigation") as
>> section:
>>             ^
>> SyntaxError: invalid syntax
>>
>>
>> These warnings actually break the install so I'd like to
>> fix them. Suggestions?
>>
>> --
>> James Treacy
>> [hidden email]
>>
>> ------------------------------------------------------------------------------
>> _______________________________________________
>> Gramps-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>>
>
>
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Private and filter [was: Gramps 3.2.1 Released!]

jerome
In reply to this post by Gerald Britton-2
> Wish I knew yesterday. I have a fix ready for private.py but haven't commited it yet.


I do not know the exact "technical" word for this but I also get a problem with notebase and sourcebase using proxy.
http://www.gramps-project.org/bugs/view.php?id=3878
I have generated a working patch on gen/proxy/filter.py (just a test on sanitize base) and filter output sounds really better !

I do not have a testing database yet (I am the only one who knows whose should not be exported !!!), but this is only highlighted on Export (Gramps XML format).

As Doug, I am not able to reproduce your issue, maybe you are also using a person filter on NarrativeWeb ?
or is it the entire database ?

1. Remembering an other issue [1], I wonder if existing sanitize bases should not be tested before be used ?

2. Also, there is some request for displaying private objects [2][3][4].
Maybe to generate a tool like current gender stats [5] ?


[1] http://www.gramps-project.org/bugs/view.php?id=3400#c12470
[2] http://www.gramps-project.org/bugs/view.php?id=2054
[3] http://www.gramps-project.org/bugs/view.php?id=3252
[4] http://www.gramps-project.org/bugs/view.php?id=3577
[5] http://gramps.svn.sourceforge.net/viewvc/gramps/branches/maintenance/gramps32/src/plugins/tool/DumpGenderStats.py



Jérôme



--- En date de : Jeu 22.4.10, Gerald Britton <[hidden email]> a écrit :

> De: Gerald Britton <[hidden email]>
> Objet: Re: [Gramps-devel] [Gramps-users] Gramps 3.2.1 Released!
> À: "Stéphane Charette" <[hidden email]>, "gramps-devel" <[hidden email]>, [hidden email], "Gramps Announce" <[hidden email]>
> Date: Jeudi 22 avril 2010, 12h56
> Wish I knew yesterday. I have a fix
> ready for private.py but haven't
> commited it yet.
>
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>


     

------------------------------------------------------------------------------
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel